Debian Bug report logs - #493841
freebsd5-buildutils: says 'We run FreeBSD'

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: Y Giridhar Appaji Nag <giridhar@appaji.net>

Date: Tue, 5 Aug 2008 09:54:01 UTC

Severity: normal

Fixed in version freebsd-buildutils/8.2-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <giridhar@appaji.net>, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#493841; Package freebsd5-buildutils. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <giridhar@appaji.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freebsd5-buildutils: says 'We run FreeBSD'
Date: Tue, 05 Aug 2008 15:20:54 +0530
Package: freebsd5-buildutils
Version: 5.4-4
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

$ freebsd-make -V unix
We run FreeBSD, not UNIX.

This is from /usr/share/freebsd5-buildutils/mk/sys.mk

  4 unix    ?=  We run FreeBSD, not UNIX.
  5 .FreeBSD  ?=  true

And we are ...

$ dpkg-architecture
DEB_BUILD_ARCH=i386
DEB_BUILD_ARCH_OS=linux
DEB_BUILD_ARCH_CPU=i386
DEB_BUILD_GNU_CPU=i486
DEB_BUILD_GNU_SYSTEM=linux-gnu
DEB_BUILD_GNU_TYPE=i486-linux-gnu
DEB_HOST_ARCH=i386
DEB_HOST_ARCH_OS=linux
DEB_HOST_ARCH_CPU=i386
DEB_HOST_GNU_CPU=i486
DEB_HOST_GNU_SYSTEM=linux-gnu
DEB_HOST_GNU_TYPE=i486-linux-gnu

We should probably says "We run $DEB_HOST_GNU_SYSTEM/$DEB_HOST_ARCH_OS"

- -- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages freebsd5-buildutils depends on:
ii  bsdmainutils                  6.1.10     collection of more utilities from 
ii  dash                          0.5.4-10   POSIX-compliant shell
ii  libc6                         2.7-10     GNU C Library: Shared libraries
ii  patchutils                    0.2.31-4   Utilities to work with patches
ii  realpath                      1.12       Return the canonicalized absolute 
ii  unzip                         5.52-11    De-archiver for .zip files

freebsd5-buildutils recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFImCJ+4eu+pR04mIcRAsUpAKCK5c8Imc6tauzn7Fa+H7wgXcCoQwCg6Ujd
D+iEKsjKAMNHSPyf7FVWYHQ=
=46Zs
-----END PGP SIGNATURE-----




Bug reassigned from package `freebsd5-buildutils' to `freebsd-buildutils'. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Fri, 08 Aug 2008 15:45:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 03:03:03 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Tue, 31 May 2011 02:51:03 GMT) Full text and rfc822 format available.

Notification sent to Y Giridhar Appaji Nag <giridhar@appaji.net>:
Bug acknowledged by developer. (Tue, 31 May 2011 02:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 493841-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 493841-close@bugs.debian.org
Subject: Bug#493841: fixed in freebsd-buildutils 8.2-1
Date: Tue, 31 May 2011 02:47:13 +0000
Source: freebsd-buildutils
Source-Version: 8.2-1

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-1.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1.debian.tar.gz
freebsd-buildutils_8.2-1.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1.dsc
freebsd-buildutils_8.2-1_amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1_amd64.deb
freebsd-buildutils_8.2.orig.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493841@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 May 2011 04:20:37 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source amd64
Version: 8.2-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 493841 493898 594183 602768
Changes: 
 freebsd-buildutils (8.2-1) unstable; urgency=low
 .
   [ Robert Millan ]
   * 10_non_kfreebsd.diff: Make freebsd-make usable on non-kFreeBSD
     systems.  (Closes: #594183, #602768)
 .
   [ Guillem Jover ]
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Switch to source format “3.0 (quilt)”.
     - Remove quilt from Build-Depends.
     - Remove patch target in debian/rules.
     - Remove now unneeded README.source.
     - Refresh all patches.
   * Use -C option for pmake instead of manually changing dir.
   * Stop Build-Depending on pmake, bootstrap freebsd-make using GNU make
     and use it as pmake instead of using it from the pmake package.
   * Switch to debhelper compatibility level 7.
     - Use dh_prep instead of “dh_clean -k”.
   * Only use MACHINE_ARCH in freebsd-make if it's defined.
   * Add support for Multi-Arch directories to freebsd-make:
     - Do not switch LIBDIR yet, the dynamic linker does not have the
       correct paths for i386 based architectures.
     - Add builtin MACHINE_MULTIARCH make variable.
   * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
   * Line-wrap CFLAGS variable in debian/rules.
   * Install binaries directly to /usr/lib/freebsd instead of relocating them
     from /usr/bin and /usr/sbin.
   * Install the man pages. (Closes: #493898)
   * Change ‘unix’ freebsd-make variable to “We run Debian, not UNIX.” and
     remove ‘.FreeBSD’ freebsd-make variable. (Closes: #493841)
   * Intersperse Depends description comments between the actual dependencies.
   * Do not install profile and libfl.a hardlinks for freebsd-lex libln.a.
Checksums-Sha1: 
 418917fb3152c0384dbcf2973440a6ecf23e1523 1316 freebsd-buildutils_8.2-1.dsc
 c0824acfac1445e568d5a82cdf9ea206a861fc52 750699 freebsd-buildutils_8.2.orig.tar.gz
 3c8a23ae9c2528ebdc4b7b31e758f65a7b643125 31049 freebsd-buildutils_8.2-1.debian.tar.gz
 ae546d9c2b75f3cc883d0f8bb91843fc881e7b07 528610 freebsd-buildutils_8.2-1_amd64.deb
Checksums-Sha256: 
 5bf65e2de9750224aa52e501df46be7aca56dfdfe5d7942afc7832fc57206b02 1316 freebsd-buildutils_8.2-1.dsc
 096819d3611b43526254a867da327fa5b2f53b9cb5085cc8e179654e28b87052 750699 freebsd-buildutils_8.2.orig.tar.gz
 bb718e7911de75167b2cff1a3710ea9efca8476a4efaee331eb19cb941aaf955 31049 freebsd-buildutils_8.2-1.debian.tar.gz
 d857bd00f6c960fd9103a56bd571b88f1fec5cb8d98a35d0acb17dd1a6f119f3 528610 freebsd-buildutils_8.2-1_amd64.deb
Files: 
 63cb75a6c75ac4bc9a4a0eeac830d7c6 1316 devel extra freebsd-buildutils_8.2-1.dsc
 714fffaa2e4d168a5d66e080d17136e8 750699 devel extra freebsd-buildutils_8.2.orig.tar.gz
 24e54a2ebc5e1097be81b59ec83df213 31049 devel extra freebsd-buildutils_8.2-1.debian.tar.gz
 06e1603ccc392176ce17d1550f4c68ff 528610 devel extra freebsd-buildutils_8.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3kUQsACgkQuW9ciZ2SjJsk7wCfZ/aRW2o6Tk3X6D5EPpjJpLBa
qM8AmwTOM5CC3wqq+igHQT3CSmgeGIZo
=PslZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jul 2011 07:29:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:17:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.